<!DOCTYPE service-builder PUBLIC "-//Liferay//DTD Service Builder 6.1.0//EN" "http://www.liferay.com/dtd/liferay-service-builder_6_1_0.dtd">
<service-builder package-path="de.humance.eco.profile">
	<author>Humance</author>
	<namespace>Profile</namespace>

	<entity name="Qualification" remote-service="false"
		local-service="true">
		<!-- PK -->
		<column name="qualificationId" type="long" primary="true"></column>

		<!-- Tracking -->
		<column name="creatorId" type="long"></column>
		<column name="creatorName" type="String"></column>
		<column name="createDate" type="Date"></column>
		<column name="modifierId" type="long"></column>
		<column name="modifierName" type="String"></column>
		<column name="modifiedDate" type="Date"></column>

		<!-- Fields -->
		<column name="ownerId" type="long"></column>
		<column name="typeId" type="long"></column>
		<column name="name" type="String"></column>
		<column name="certNumber" type="String"></column>
		<column name="deliveryDate" type="Date"></column>
		<column name="expirationDate" type="Date"></column>
		<column name="issuingCountry" type="String"></column>
		<column name="issuingInstitution" type="String"></column>

		<!-- Relations -->
		<column name="attributes" type="Collection" entity="QualificationAttribute"
			mapping-key="qualificationId"></column>

		<!-- Ordering -->
		<order>
			<order-column name="ownerId" order-by="asc"></order-column>
			<order-column name="typeId" order-by="asc"></order-column>
			<order-column name="deliveryDate" order-by="asc"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="OwnerId">
			<finder-column name="ownerId"></finder-column>
		</finder>
		<finder return-type="Collection" name="TypeId">
			<finder-column name="typeId"></finder-column>
		</finder>
		<finder return-type="Collection" name="OwnerIdAndTypeId">
			<finder-column name="ownerId"></finder-column>
			<finder-column name="typeId"></finder-column>
		</finder>
	</entity>

	<entity name="QualificationType" remote-service="false"
		local-service="true">
		<!-- PK -->
		<column name="qualificationTypeId" type="long" primary="true"></column>

		<!-- Tracking -->
		<column name="creatorId" type="long"></column>
		<column name="creatorName" type="String"></column>
		<column name="createDate" type="Date"></column>
		<column name="modifierId" type="long"></column>
		<column name="modifierName" type="String"></column>
		<column name="modifiedDate" type="Date"></column>

		<!-- Fields -->
		<column name="name" type="String"></column>
		<column name="description" type="String"></column>
		<column name="note" type="String"></column>
		<column name="iconId" type="long"></column>

		<!-- Relations -->
		<column name="qualifications" type="Collection" entity="Qualification"
			mapping-key="typeId"></column>
		<column name="attributeDefinitions" type="Collection"
			entity="QualificationAttributeDefinition" mapping-key="qualificationTypeId"></column>
		<column name="resources" type="Collection" entity="QualificationTypeResource"
			mapping-key="qualificationTypeId"></column>

		<!-- Ordering -->
		<order>
			<order-column name="name" order-by="asc" case-sensitive="false"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="Name">
			<finder-column name="name" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="NameLike">
			<finder-column name="name" case-sensitive="false"
				comparator="LIKE"></finder-column>
		</finder>
	</entity>

	<entity name="QualificationTypeResource" remote-service="false"
		local-service="true">
		<!-- PK -->
		<column name="qualificationTypeResourceId" type="long" primary="true"></column>

		<!-- Fields -->
		<column name="qualificationTypeId" type="long"></column>
		<column name="country" type="String"></column>
		<column name="language" type="String"></column>
		<column name="name" type="String"></column>
		<column name="description" type="String"></column>
		<column name="note" type="String"></column>
		<column name="iconId" type="long"></column>

		<!-- Ordering -->
		<order>
			<order-column name="qualificationTypeId" order-by="asc"></order-column>
			<order-column name="country" order-by="asc"
				case-sensitive="false"></order-column>
			<order-column name="language" order-by="asc"
				case-sensitive="false"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="QualificationTypeId">
			<finder-column name="qualificationTypeId"></finder-column>
		</finder>
		<finder return-type="Collection" name="QualificationTypeIdAndCountry">
			<finder-column name="qualificationTypeId"></finder-column>
			<finder-column name="country" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="QualificationTypeIdAndLanguage">
			<finder-column name="qualificationTypeId"></finder-column>
			<finder-column name="language" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="QualificationTypeIdAndLocale">
			<finder-column name="qualificationTypeId"></finder-column>
			<finder-column name="country" case-sensitive="false"></finder-column>
			<finder-column name="language" case-sensitive="false"></finder-column>
		</finder>
	</entity>

	<entity name="QualificationAttributeDefinition" remote-service="false"
		local-service="true">
		<!-- PK -->
		<column name="qualificationAttributeDefinitionId" type="long"
			primary="true"></column>

		<!-- Tracking -->
		<column name="creatorId" type="long"></column>
		<column name="creatorName" type="String"></column>
		<column name="createDate" type="Date"></column>
		<column name="modifierId" type="long"></column>
		<column name="modifierName" type="String"></column>
		<column name="modifiedDate" type="Date"></column>

		<!-- Fields -->
		<column name="qualificationTypeId" type="long"></column>
		<column name="type" type="String"></column>
		<column name="title" type="String"></column>
		<column name="minRangeValue" type="double"></column>
		<column name="maxRangeValue" type="double"></column>
		<column name="unit" type="String"></column>
		<column name="sequenceNumber" type="long"></column>

		<!-- Relations -->
		<column name="attributes" type="Collection" entity="QualificationAttribute"
			mapping-key="qualificationAttributeDefinitionId"></column>
		<column name="resources" type="Collection"
			entity="QualificationAttributeDefinitionResource" mapping-key="qualificationAttributeDefinitionId"></column>

		<!-- Ordering -->
		<order>
			<order-column name="qualificationTypeId" order-by="asc"></order-column>
			<order-column name="sequenceNumber" order-by="asc"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="QualificationTypeId">
			<finder-column name="qualificationTypeId"></finder-column>
		</finder>
		<finder return-type="Collection" name="Title">
			<finder-column name="title" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="TitleLike">
			<finder-column name="title" case-sensitive="false"
				comparator="LIKE"></finder-column>
		</finder>
	</entity>

	<entity name="QualificationAttributeDefinitionResource"
		remote-service="false" local-service="true">
		<!-- PK -->
		<column name="qualificationAttributeDefinitionResourceId" type="long"
			primary="true"></column>

		<!-- Fields -->
		<column name="qualificationAttributeDefinitionId" type="long"></column>
		<column name="country" type="String"></column>
		<column name="language" type="String"></column>
		<column name="title" type="String"></column>
		<column name="unit" type="String"></column>

		<!-- Ordering -->
		<order>
			<order-column name="qualificationAttributeDefinitionId"
				order-by="asc"></order-column>
			<order-column name="country" order-by="asc"
				case-sensitive="false"></order-column>
			<order-column name="language" order-by="asc"
				case-sensitive="false"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="QualificationAttribDefId">
			<finder-column name="qualificationAttributeDefinitionId"></finder-column>
		</finder>
		<finder return-type="Collection" name="QualificationAttribDefIdAndCountry">
			<finder-column name="qualificationAttributeDefinitionId"></finder-column>
			<finder-column name="country" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="QualificationAttribDefIdAndLanguage">
			<finder-column name="qualificationAttributeDefinitionId"></finder-column>
			<finder-column name="language" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="QualificationAttribDefIdAndLocale">
			<finder-column name="qualificationAttributeDefinitionId"></finder-column>
			<finder-column name="country" case-sensitive="false"></finder-column>
			<finder-column name="language" case-sensitive="false"></finder-column>
		</finder>
	</entity>

	<entity name="QualificationAttribute" remote-service="false"
		local-service="true">
		<!-- PK -->
		<column name="qualificationAttributeId" type="long" primary="true"></column>

		<!-- Fields -->
		<column name="qualificationId" type="long"></column>
		<column name="qualificationAttributeDefinitionId" type="long"></column>
		<column name="type" type="String"></column>
		<column name="sequenceNumber" type="long"></column>
		<column name="attributeValue" type="String"></column>

		<!-- Ordering -->
		<order>
			<order-column name="qualificationId" order-by="asc"></order-column>
			<order-column name="sequenceNumber" order-by="asc"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="QualificationId">
			<finder-column name="qualificationId"></finder-column>
		</finder>
		<finder return-type="Collection" name="QualificationIdAndAttributeDefinitionId">
			<finder-column name="qualificationId"></finder-column>
			<finder-column name="qualificationAttributeDefinitionId"></finder-column>
		</finder>
		<finder return-type="Collection" name="QualificationAttributeDefinitionId">
			<finder-column name="qualificationAttributeDefinitionId"></finder-column>
		</finder>
	</entity>

	<entity name="Trailer" remote-service="false" local-service="true">
		<!-- PK -->
		<column name="trailerId" type="long" primary="true"></column>

		<!-- Tracking -->
		<column name="creatorId" type="long"></column>
		<column name="creatorName" type="String"></column>
		<column name="createDate" type="Date"></column>
		<column name="modifierId" type="long"></column>
		<column name="modifierName" type="String"></column>
		<column name="modifiedDate" type="Date"></column>

		<!-- Fields -->
		<column name="driverId" type="long"></column>
		<column name="typeId" type="long"></column>
		<column name="manufacturerId" type="long"></column>
		<column name="organizationId" type="long"></column>
		<column name="modelName" type="String"></column>
		<column name="dimensionHeight" type="long"></column>
		<column name="dimensionWidth" type="long"></column>
		<column name="dimensionDepth" type="long"></column>
		<column name="licensePlate" type="String"></column>

		<!-- Relations -->
		<column name="attributes" type="Collection" entity="VehicleAttribute"
			mapping-key="trailerId"></column>

		<!-- Ordering -->
		<order>
			<order-column name="manufacturerId" order-by="asc"></order-column>
			<order-column name="modelName" order-by="asc"
				case-sensitive="false"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="DriverId">
			<finder-column name="driverId"></finder-column>
		</finder>
		<finder return-type="Collection" name="DriverIdAndOrgaId">
			<finder-column name="driverId"></finder-column>
			<finder-column name="organizationId"></finder-column>
		</finder>
		<finder return-type="Collection" name="TypeId">
			<finder-column name="typeId"></finder-column>
		</finder>
		<finder return-type="Collection" name="DriverIdAndTypeId">
			<finder-column name="driverId"></finder-column>
			<finder-column name="typeId"></finder-column>
		</finder>
		<finder return-type="Collection" name="ManufacturerId">
			<finder-column name="manufacturerId"></finder-column>
		</finder>
		<finder return-type="Collection" name="ModelName">
			<finder-column name="modelName" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="ModelNameLike">
			<finder-column name="modelName" case-sensitive="false"
				comparator="LIKE"></finder-column>
		</finder>
		<finder return-type="Collection" name="LicensePlate">
			<finder-column name="licensePlate" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="LicensePlateLike">
			<finder-column name="licensePlate" case-sensitive="false"
				comparator="LIKE"></finder-column>
		</finder>
	</entity>

	<entity name="TrailerType" remote-service="false" local-service="true">
		<!-- PK -->
		<column name="trailerTypeId" type="long" primary="true"></column>

		<!-- Tracking -->
		<column name="creatorId" type="long"></column>
		<column name="creatorName" type="String"></column>
		<column name="createDate" type="Date"></column>
		<column name="modifierId" type="long"></column>
		<column name="modifierName" type="String"></column>
		<column name="modifiedDate" type="Date"></column>

		<!-- Fields -->
		<column name="name" type="String"></column>
		<column name="iconId" type="long"></column>

		<!-- Relations -->
		<column name="trailers" type="Collection" entity="Trailer"
			mapping-key="typeId"></column>
		<column name="attributeDefinitions" type="Collection"
			entity="VehicleAttributeDefinition" mapping-key="vehicleTypeId"></column>
		<column name="resources" type="Collection" entity="VehicleTypeResource"
			mapping-key="trailerTypeId"></column>

		<!-- Ordering -->
		<order>
			<order-column name="name" order-by="asc" case-sensitive="false"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="Name">
			<finder-column name="name" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="NameLike">
			<finder-column name="name" case-sensitive="false"
				comparator="LIKE"></finder-column>
		</finder>
	</entity>

	<entity name="VehicleManufacturer" remote-service="false"
		local-service="true">
		<!-- PK -->
		<column name="vehicleManufacturerId" type="long" primary="true"></column>

		<!-- Tracking -->
		<column name="creatorId" type="long"></column>
		<column name="creatorName" type="String"></column>
		<column name="createDate" type="Date"></column>
		<column name="modifierId" type="long"></column>
		<column name="modifierName" type="String"></column>
		<column name="modifiedDate" type="Date"></column>

		<!-- Fields -->
		<column name="name" type="String"></column>
		<column name="iconId" type="long"></column>

		<!-- Relations -->
		<column name="vehicles" type="Collection" entity="Vehicle"
			mapping-key="manufacturerId"></column>

		<!-- Ordering -->
		<order>
			<order-column name="name" order-by="asc"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="Name">
			<finder-column name="name" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="NameLike">
			<finder-column name="name" case-sensitive="false"
				comparator="LIKE"></finder-column>
		</finder>
	</entity>

	<entity name="VehicleUser" remote-service="false" local-service="true">
		<!-- PK -->

		<column name="vehicleUserId" type="long" primary="true"></column>


		<!-- Fields -->
		<column name="userId" type="long"></column>
		<column name="vehicleId" type="long"></column>

		<!-- Ordering -->
		<order>
			<order-column name="userId" order-by="asc"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="UserId">
			<finder-column name="userId"></finder-column>
		</finder>
		<finder return-type="Collection" name="VehicleId">
			<finder-column name="vehicleId"></finder-column>
		</finder>

	</entity>

	<entity name="TrailerUser" remote-service="false" local-service="true">
		<!-- PK -->

		<column name="trailerUserId" type="long" primary="true"></column>

		<!-- Fields -->
		<column name="userId" type="long"></column>
		<column name="trailerId" type="long"></column>

		<!-- Ordering -->
		<order>
			<order-column name="userId" order-by="asc"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="UserId">
			<finder-column name="userId"></finder-column>
		</finder>
		<finder return-type="Collection" name="TrailerId">
			<finder-column name="trailerId"></finder-column>
		</finder>

	</entity>

	<entity name="Vehicle" remote-service="false" local-service="true">
		<!-- PK -->
		<column name="vehicleId" type="long" primary="true"></column>

		<!-- Tracking -->
		<column name="creatorId" type="long"></column>
		<column name="creatorName" type="String"></column>
		<column name="createDate" type="Date"></column>
		<column name="modifierId" type="long"></column>
		<column name="modifierName" type="String"></column>
		<column name="modifiedDate" type="Date"></column>

		<!-- Fields -->
		<column name="driverId" type="long"></column>
		<column name="typeId" type="long"></column>
		<column name="manufacturerId" type="long"></column>
		<column name="organizationId" type="long"></column>
		<column name="modelName" type="String"></column>
		<column name="dimensionHeight" type="long"></column>
		<column name="dimensionWidth" type="long"></column>
		<column name="dimensionDepth" type="long"></column>
		<column name="licensePlate" type="String"></column>

		<!-- Relations -->
		<column name="attributes" type="Collection" entity="VehicleAttribute"
			mapping-key="vehicleId"></column>

		<!-- Ordering -->
		<order>
			<order-column name="manufacturerId" order-by="asc"></order-column>
			<order-column name="modelName" order-by="asc"
				case-sensitive="false"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="DriverId">
			<finder-column name="driverId"></finder-column>
		</finder>
		<finder return-type="Collection" name="DriverIdAndOrgaId">
			<finder-column name="driverId"></finder-column>
			<finder-column name="organizationId"></finder-column>
		</finder>
		<finder return-type="Collection" name="TypeId">
			<finder-column name="typeId"></finder-column>
		</finder>
		<finder return-type="Collection" name="DriverIdAndTypeId">
			<finder-column name="driverId"></finder-column>
			<finder-column name="typeId"></finder-column>
		</finder>
		<finder return-type="Collection" name="ManufacturerId">
			<finder-column name="manufacturerId"></finder-column>
		</finder>
		<finder return-type="Collection" name="ModelName">
			<finder-column name="modelName" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="ModelNameLike">
			<finder-column name="modelName" case-sensitive="false"
				comparator="LIKE"></finder-column>
		</finder>
		<finder return-type="Collection" name="LicensePlate">
			<finder-column name="licensePlate" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="LicensePlateLike">
			<finder-column name="licensePlate" case-sensitive="false"
				comparator="LIKE"></finder-column>
		</finder>
	</entity>

	<entity name="VehicleType" remote-service="false" local-service="true">
		<!-- PK -->
		<column name="vehicleTypeId" type="long" primary="true"></column>

		<!-- Tracking -->
		<column name="creatorId" type="long"></column>
		<column name="creatorName" type="String"></column>
		<column name="createDate" type="Date"></column>
		<column name="modifierId" type="long"></column>
		<column name="modifierName" type="String"></column>
		<column name="modifiedDate" type="Date"></column>

		<!-- Fields -->
		<column name="name" type="String"></column>
		<column name="iconId" type="long"></column>

		<!-- Relations -->
		<column name="vehicles" type="Collection" entity="Vehicle"
			mapping-key="typeId"></column>
		<column name="attributeDefinitions" type="Collection"
			entity="VehicleAttributeDefinition" mapping-key="vehicleTypeId"></column>
		<column name="resources" type="Collection" entity="VehicleTypeResource"
			mapping-key="vehicleTypeId"></column>

		<!-- Ordering -->
		<order>
			<order-column name="name" order-by="asc" case-sensitive="false"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="Name">
			<finder-column name="name" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="NameLike">
			<finder-column name="name" case-sensitive="false"
				comparator="LIKE"></finder-column>
		</finder>
	</entity>

	<entity name="VehicleTypeResource" remote-service="false"
		local-service="true">
		<!-- PK -->
		<column name="vehicleTypeResourceId" type="long" primary="true"></column>

		<!-- Fields -->
		<column name="vehicleTypeId" type="long"></column>
		<column name="country" type="String"></column>
		<column name="language" type="String"></column>
		<column name="name" type="String"></column>
		<column name="iconId" type="long"></column>

		<!-- Ordering -->
		<order>
			<order-column name="vehicleTypeId" order-by="asc"></order-column>
			<order-column name="country" order-by="asc"
				case-sensitive="false"></order-column>
			<order-column name="language" order-by="asc"
				case-sensitive="false"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="VehicleTypeId">
			<finder-column name="vehicleTypeId"></finder-column>
		</finder>
		<finder return-type="Collection" name="VehicleTypeIdAndCountry">
			<finder-column name="vehicleTypeId"></finder-column>
			<finder-column name="country" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="VehicleTypeIdAndLanguage">
			<finder-column name="vehicleTypeId"></finder-column>
			<finder-column name="language" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="VehicleTypeIdAndLocale">
			<finder-column name="vehicleTypeId"></finder-column>
			<finder-column name="country" case-sensitive="false"></finder-column>
			<finder-column name="language" case-sensitive="false"></finder-column>
		</finder>
	</entity>

	<entity name="VehicleAttributeDefinition" remote-service="false"
		local-service="true">
		<!-- PK -->
		<column name="vehicleAttributeDefinitionId" type="long"
			primary="true"></column>

		<!-- Tracking -->
		<column name="creatorId" type="long"></column>
		<column name="creatorName" type="String"></column>
		<column name="createDate" type="Date"></column>
		<column name="modifierId" type="long"></column>
		<column name="modifierName" type="String"></column>
		<column name="modifiedDate" type="Date"></column>

		<!-- Fields -->
		<column name="vehicleTypeId" type="long"></column>
		<column name="type" type="String"></column>
		<column name="title" type="String"></column>
		<column name="minRangeValue" type="double"></column>
		<column name="maxRangeValue" type="double"></column>
		<column name="unit" type="String"></column>
		<column name="sequenceNumber" type="long"></column>

		<!-- Relations -->
		<column name="attributes" type="Collection" entity="VehicleAttribute"
			mapping-key="vehicleAttributeDefinitionId"></column>
		<column name="resources" type="Collection"
			entity="VehicleAttributeDefinitionResource" mapping-key="vehicleAttributeDefinitionId"></column>

		<!-- Ordering -->
		<order>
			<order-column name="vehicleTypeId" order-by="asc"></order-column>
			<order-column name="sequenceNumber" order-by="asc"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="VehicleTypeId">
			<finder-column name="vehicleTypeId"></finder-column>
		</finder>
		<finder return-type="Collection" name="Title">
			<finder-column name="title" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="TitleLike">
			<finder-column name="title" case-sensitive="false"
				comparator="LIKE"></finder-column>
		</finder>
	</entity>

	<entity name="VehicleAttributeDefinitionResource"
		remote-service="false" local-service="true">
		<!-- PK -->
		<column name="vehicleAttributeDefinitionResourceId" type="long"
			primary="true"></column>

		<!-- Fields -->
		<column name="vehicleAttributeDefinitionId" type="long"></column>
		<column name="country" type="String"></column>
		<column name="language" type="String"></column>
		<column name="title" type="String"></column>
		<column name="unit" type="String"></column>

		<!-- Ordering -->
		<order>
			<order-column name="vehicleAttributeDefinitionId"
				order-by="asc"></order-column>
			<order-column name="country" order-by="asc"
				case-sensitive="false"></order-column>
			<order-column name="language" order-by="asc"
				case-sensitive="false"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="VehicleAttributeDefinitionId">
			<finder-column name="vehicleAttributeDefinitionId"></finder-column>
		</finder>
		<finder return-type="Collection" name="VehicleAttributeDefinitionIdAndCountry">
			<finder-column name="vehicleAttributeDefinitionId"></finder-column>
			<finder-column name="country" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="VehicleAttributeDefinitionIdAndLanguage">
			<finder-column name="vehicleAttributeDefinitionId"></finder-column>
			<finder-column name="language" case-sensitive="false"></finder-column>
		</finder>
		<finder return-type="Collection" name="VehicleAttributeDefinitionIdAndLocale">
			<finder-column name="vehicleAttributeDefinitionId"></finder-column>
			<finder-column name="country" case-sensitive="false"></finder-column>
			<finder-column name="language" case-sensitive="false"></finder-column>
		</finder>
	</entity>

	<entity name="VehicleAttribute" remote-service="false"
		local-service="true">
		<!-- PK -->
		<column name="vehicleAttributeId" type="long" primary="true"></column>

		<!-- Fields -->
		<column name="vehicleId" type="long"></column>
		<column name="vehicleAttributeDefinitionId" type="long"></column>
		<column name="type" type="String"></column>
		<column name="sequenceNumber" type="long"></column>
		<column name="attributeValue" type="String"></column>

		<!-- Ordering -->
		<order>
			<order-column name="vehicleId" order-by="asc"></order-column>
			<order-column name="sequenceNumber" order-by="asc"></order-column>
		</order>

		<!-- Finders -->
		<finder return-type="Collection" name="VehicleId">
			<finder-column name="vehicleId"></finder-column>
		</finder>
		<finder return-type="Collection" name="VehicleAttributeDefinitionId">
			<finder-column name="vehicleAttributeDefinitionId"></finder-column>
		</finder>
		<finder return-type="Collection" name="VehicleIdAndAttributeDefinitionId">
			<finder-column name="vehicleId"></finder-column>
			<finder-column name="vehicleAttributeDefinitionId"></finder-column>
		</finder>
	</entity>
</service-builder>